<?
// php-Script zur Anzeige von .crid-Aufnahmen von Siemens M740AV/M750S-Receivern
// Modifizert von Stefan Onderka (stefan@onderka.com) - Lizenz: GPL
// Version 1.6 2007-10-31.Helloween, http://www.onderka.com
//
// Basiert auf "M740-Fernsteuerung", herausgegeben 2005-11-12 von "api" 
// (m740-api@users.sourceforge.net)
//
// Links:
//
//   http://m740.de/wiki/M740-Fernsteuerung
//   http://prdownloads.sourceforge.net/waveboxremote/2006-11-12-api-m740-fernsteuerung.zip?download

// Konfiguration #############################################################
include('./config.php');

// System-Info
include('./system.php');

// .crid-Timestamps sind in GMT.
// GMT Setzen, um Sendungslaengen korrekt zu berechnen
date_default_timezone_set("GMT+0");

// Start HTML-Ausgabe
echo "<head>\n";
echo "<title>Server ".$_SERVER['SERVER_NAME']." - ";
echo "ca. ".round(($dir_video_free_bytes/1024/1024/1024))." GB frei</title>\n";
?>
<style type="text/css">
<!--
a       { color: <? echo $text_color_link ?>; text-decoration: none; }
a:link  { color: <? echo $text_color_bright ?>; text-decoration: none; }
a:hover { color: <? echo $text_color_bright ?>; text-decoration: none; }

.hidden   { display: none; }
.unhidden { display: block; }
//-->
</style>
<script type="text/javascript">
function unhide(divID) {
   var item = document.getElementById(divID);
   if (item) {
      item.className=(item.className=='hidden')? 'unhidden':'hidden';
      }
   }
</script>
<!--[if lt IE 7]>
<script defer type="text/javascript" src="./pngfix.js"></script>
<![endif]-->
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="description" content="Aufnahmen auf <?= $_SERVER['SERVER_NAME'] ?>">
<meta name="author" content="m740.php">
<meta name="keywords" content="siemens, m740av, m750s recordings, aufnahmen, php, script, skript">
<link rel="shortcut icon" type="image/x-icon" href="./favicon.ico" />
<link rel="stylesheet" href="/gui.css" type="text/css" media="screen" />
<?
echo "</head>\n";

// HTML Body
echo "<body bgcolor=\"".$text_color_background."\" ";
echo "text=\"".$text_color_normal."\" ";
echo "link=\"".$text_color_link."\" ";
echo "vlink=\"".$text_color_vlink."\" ";
echo "alink=\"".$text_color_alink."\" ";
echo "leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\">\n";
echo "<html>\n";
echo "<center>\n";

echo "<br>\n";
echo "<img src=\"images/epc.png\" alt=\"0wn3d by Tux\" title=\"0wn3d by Tux\">\n";
echo "<br><br>\n";

// Box-Infos
echo "<!-- Box-Infos -->\n";
echo "<table  width=\"520\" border=\"0\" cellpadding=\"6\" cellspacing=\"0\">\n";
echo "<tr> ";
echo "<td colspan=\"2\" valign=\"top\" class=\"listtopic\">";
echo "System-Status f&uuml;r Server \"".$_SERVER['SERVER_NAME']."\"</td>";
echo "</tr>";

echo "<tr>\n";

// Server
echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Lokale Uhrzeit </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo "".date("D M. j, G:i:s")." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "IP-Adresse </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo "".$eth0_ip." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Aufnahme-Verzeichnis </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo "".$dir_video." </td>";
echo "</tr>\n<tr>";

/*
echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Belegt Videorecorder </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo round(($rec_used/1024/1024/1024), 2)." GiB von ";
echo round(($rec_size/1024/1024/1024), 2)." GiB</td>";
echo "</tr>\n</tr>";
*/

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Belegt Videorecorder </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
?>
<img style="vertical-align:middle" height="15" src="images/bar_left.gif"><img style="vertical-align:middle" height="15" width="<? echo (3 * $rec_pcnt) ?>" src="images/bar_blue.gif"><img style="vertical-align:middle" height="15" width="<? echo (300 - 3*$rec_pcnt) ?>" src="images/bar_gray.gif"><img style="vertical-align:middle" height="15" src="images/bar_right.gif">
<?
echo $rec_pcnt."%</td>";
echo "</tr>\n<tr>";

/*
echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Belegt Root </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo round(($root_used/1024/1024/1024), 2)." GiB von ";
echo round(($root_size/1024/1024/1024), 2)." GiB</td>";
echo "</tr>\n</tr>";
*/

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Belegt Root </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
?>
<img style="vertical-align:middle" height="15" src="images/bar_left.gif"><img style="vertical-align:middle" height="15" width="<? echo (3 * $root_pcnt) ?>" src="images/bar_blue.gif"><img style="vertical-align:middle" height="15" width="<? echo (300 - 3*$root_pcnt) ?>" src="images/bar_gray.gif"><img style="vertical-align:middle" height="15" src="images/bar_right.gif">
<?
echo $root_pcnt."%</td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Auslagerungdatei </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
?>
<img style="vertical-align:middle" height="15" src="images/bar_left.gif"><img style="vertical-align:middle" height="15" width="<? echo (3 * $swap_pcnt) ?>" src="images/bar_blue.gif"><img style="vertical-align:middle" height="15" width="<? echo (300 - 3*$swap_pcnt) ?>" src="images/bar_gray.gif"><img style="vertical-align:middle" height="15" src="images/bar_right.gif">
<?
echo $swap_pcnt."%</td>";
echo "</tr>\n<tr>";

/* 
// Ungenau, springt nach jeweils 4GiB um auf 0
echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Netzwerk empfangen </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo $eth0_recv." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Netzwerk gesendet</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo $eth0_sent." </td>";
echo "</tr>\n<tr>";
*/

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Last 1 Minute &oslash; </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
?>
<img style="vertical-align:middle" height="15" src="images/bar_left.gif"><img style="vertical-align:middle" height="15" width="<? echo (100 * $load_1min) ?>" src="images/bar_blue.gif"><img style="vertical-align:middle" height="15" width="<? echo (300 - 100*$load_1min) ?>" src="images/bar_gray.gif"><img style="vertical-align:middle" height="15" src="images/bar_right.gif">
<?
echo $load_1min." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Last 5 Minuten &oslash;</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
?>
<img style="vertical-align:middle" height="15" src="images/bar_left.gif"><img style="vertical-align:middle" height="15" width="<? echo (100 * $load_5min) ?>" src="images/bar_blue.gif"><img style="vertical-align:middle" height="15" width="<? echo (300 - 100*$load_5min) ?>" src="images/bar_gray.gif"><img style="vertical-align:middle" height="15" src="images/bar_right.gif">
<?
echo $load_5min." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Last 15 Minuten &oslash;</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
?>
<img style="vertical-align:middle" height="15" style="vertical-align:middle" src="images/bar_left.gif"><img style="vertical-align:middle" height="15" width="<? echo (100 * $load_15min) ?>" src="images/bar_blue.gif"><img style="vertical-align:middle" height="15" width="<? echo (300 - 100*$load_15min) ?>" src="images/bar_gray.gif"><img style="vertical-align:middle" height="15" src="images/bar_right.gif">
<?
echo $load_15min." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Prozesse aktiv/gesamt </td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo $load_procs." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Netzwerk-Verbindung</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo "eth0 ".$eth0_link." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Letzter Sync</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo $sync_timestamp." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Kernel-Version</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo $kernel_vers." </td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "CPU</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo $sys_proc.", ".$sys_speed."MHz, ".$sys_cache." L2 Cache</td>";
echo "</tr>\n<tr>";

echo "<td align=\"left\" valign=\"top\" class=\"vncell\">";
echo "Liste der Aufnahmen</td>";
echo "<td align=\"left\" valign=\"top\" class=\"vtable\">";
echo "<a href=\"/\"><em>Hier klicken</em></a>";
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<!-- Ende Box-Infos -->\n";
echo "<br>\n\n";

// Ende
echo "</html>";